#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from zope.interface import Interface

from pyams_content.shared.common.interfaces import ISharedContent
from pyams_content.shared.common.interfaces.types import ITypedSharedToolPortalContext, \
    IWfTypedSharedContentPortalContext
from pyams_sequence.interfaces import IInternalReferencesList

from onf_website import _


PRESS_CONTENT_TYPE = 'press'
PRESS_CONTENT_NAME = _("Press topic")


class IPressManager(ITypedSharedToolPortalContext):
    """Press release manager interface"""


class IPressManagerFactory(Interface):
    """Press release manager factory interface"""


class IWfPress(IWfTypedSharedContentPortalContext, IInternalReferencesList):
    """Press release interface"""


class IWfPressFactory(Interface):
    """Press release parent interface"""


class IPress(ISharedContent):
    """Workflow managed press release interface"""
