#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from zope.interface import Interface

from onf_website.skin.public.interfaces import IBodyClass
from onf_website.skin.public.layer import IONFBaseLayer
from pyams_content.shared.site.interfaces import ISiteContainer, ISiteManager
from pyams_default_theme.shared.site.portlet import SiteContainerSummaryPortletDefaultRenderer
from pyams_skin.interfaces.viewlet import IBreadcrumbs
from pyams_skin.viewlet.breadcrumb import BreadcrumbsAdapter
from pyams_template.template import override_template
from pyams_utils.adapter import adapter_config


@adapter_config(context=(ISiteContainer, IONFBaseLayer, Interface), provides=IBreadcrumbs)
class SiteContainerBreadcrumbsAdapter(BreadcrumbsAdapter):
    """Site container breadcrumbs adapter

    Use default breadcrumbs adapter.
    """


@adapter_config(context=(ISiteManager, IONFBaseLayer), provides=IBodyClass)
def site_manager_body_class_adapter(context, request):
    return 'front'


override_template(context=SiteContainerSummaryPortletDefaultRenderer, layer=IONFBaseLayer,
                  template='templates/site-summary.pt')
